package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgSecUserType;
import com.sa.ibiz.demo.demo.service.dto.OrgSecUserTypeSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgSecUserType] 服务对象接口
 */
public interface OrgSecUserTypeService extends IService<OrgSecUserType>{

	boolean remove(OrgSecUserType et);
	boolean getDraft(OrgSecUserType et);
	boolean checkKey(OrgSecUserType et);
		OrgSecUserType get(OrgSecUserType et);
	boolean create(OrgSecUserType et);
	boolean update(OrgSecUserType et);
    List<OrgSecUserType> listDefault(OrgSecUserTypeSearchFilter filter) ;
	Page<OrgSecUserType> searchDefault(OrgSecUserTypeSearchFilter filter);
	/**	 实体[OrgSecUserType] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }